Subject: MediaGallery Upgrade Error

Posted on: 13/05/09 03:51pm
By: PNMarkW2


I've just upgraded Geeklog to v1.5.2sr4 and after a couple issues it seems to be working fine. But while upgrading MediaGallery I'm getting an error.

Just to review where I've been. I first disabled the plugin (per the install/upgrade instructions), copied the files for MediaGallery 1.5.1 as downloaded from this site, and now as I go to re-enable the plugin I get this error

PHP Formatted Code
Fatal error: Cannot redeclare plugin_commentform_mediagallery() (previously declared in /home/.badadryer/lewisandclark/district/cgi-bin/plugins/mediagallery/functions.inc:65) in /home/.badadryer/lewisandclark/district/cgi-bin/plugins/mediagallery/functions.inc on line 2752


I did this same upgrade to a different site yesterday, with these same files, without a single issue. So I'm at a loss what might have happened here.

Any suggestions would be welcome.

Re: MediaGallery Upgrade Error

Posted on: 13/05/09 05:09pm
By: ::Ben

Hello,

Try to delete your /plugins/mediagallery/functions.inc file and upload a fresh one.

::Ben

Re: MediaGallery Upgrade Error

Posted on: 13/05/09 06:15pm
By: PNMarkW2

How odd.

I did as you suggested and yes, I was able to re-enable the plugin. However, I got other errors, all of which (so far) I've been able to correct by re-uploading the offending file.

What would cause such a problem? I'm using FileZilla for my FTP program, and I've never had this problem before.

Re: MediaGallery Upgrade Error

Posted on: 13/05/09 06:55pm
By: ::Ben

It might be a connection break during upload or a bad synchronisation. A little mystery Wink

You might re upload the entire plugin to be sure.

::Ben

Geeklog - Forum
https://www.geeklog.net/forum/viewtopic.php?showtopic=87452